Foreman - Refactor #994

The Role default_user is misleading
06/17/2011 10:02 AM - Paul Kelly

Status: Rejected
Priority: Normal
Assignee: Tomer Brisker
Category:

Target version:

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:

Pull request:

Description

The default_user role should really be called something like Role defaults as it populates a role and not a user.
The Anonymous role is also not a great name.

Related issues:

Related to Foreman - Bug #6361: menu item "Hosts --> All hosts" is visible to... Closed 06/24/2014
Related to Foreman - Refactor #13896: Builtin Roles badly named Closed 02/25/2016
Related to Foreman - Bug #9425: Remove Default user role which does not work Closed 02/18/2015
History

#1 - 06/24/2014 03:47 PM - Dominic Cleal

- Related to Bug #6361: menu item "Hosts --> All hosts" is visible to normal user from anonymous role by default added

#2 - 03/15/2016 03:50 AM - Ohad Levy
- Description updated
- Status changed from New to Feedback

- Assignee set to Tomer Brisker

Tomer - Am | correct to assume this was resolved as part of #13896 ?

#3 - 03/15/2016 03:50 AM - Ohad Levy
- Related to Refactor #13896: Builtin Roles badly named added

#4 - 03/15/2016 04:14 AM - Dominic Cleal

- Related to Bug #9425: Remove Default user role which does not work added

#5 - 03/15/2016 04:14 AM - Dominic Cleal
- Status changed from Feedback to Rejected

It was removed in #9425.

05/12/2024

1/1



https://projects.theforeman.org/issues/13896
https://projects.theforeman.org/issues/9425
http://www.tcpdf.org

